Last Comment Bug 1313876 - Middle click on closed tab entry in history panel does nothing
: Middle click on closed tab entry in history panel does nothing
Status: RESOLVED FIXED
nightly-community
: regression
Product: Firefox
Classification: Client Software
Component: Untriaged (show other bugs)
: 52 Branch
: All All
-- normal with 1 vote (vote)
: Firefox 52
Assigned To: David Malaschonok
:
:
Mentors:
Depends on:
Blocks: 926579
  Show dependency treegraph
 
Reported: 2016-10-29 10:58 PDT by 6lobe
Modified: 2017-01-19 22:35 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: yes
Has STR: yes
unaffected
unaffected
unaffected
+
fixed
unaffected

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1313876 - Fixed _undoCloseMiddleClick function call in event listener. (58 bytes, text/x-review-board-request)
2016-10-30 03:32 PDT, David Malaschonok
jaws: review+
Details | Review

Description User image 6lobe 2016-10-29 10:58:59 PDT
User Agent: Mozilla/5.0 (X11; Linux i686; rv:52.0) Gecko/20100101 Firefox/52.0
Build ID: 20161029062601

Steps to reproduce:

Open hamburger menu. Open the History panel. Middle click on an entry.


Actual results:

The menu closes, but the entry does not open.


Expected results:

The clicked entry should have opened in a new tab.
Comment 1 User image Alice0775 White 2016-10-29 11:33:00 PDT
[Tracking Requested - why for this release]: Regression of UI mouse response
Comment 2 User image 6lobe 2016-10-29 11:35:36 PDT
Here is the regression range:

24:36.01 INFO: Last good revision: a9a143d2179a352652b970b99d062214d1bf9bd8
24:36.01 INFO: First bad revision: da1b726ffaeec5de3211e9f38bfd38157cbf5bae
24:36.01 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=a9a143d2179a352652b970b99d062214d1bf9bd8&tochange=da1b726ffaeec5de3211e9f38bfd38157cbf5bae

24:37.04 INFO: Looks like the following bug has the changes which introduced the regression:
https://bugzilla.mozilla.org/show_bug.cgi?id=926579
Comment 3 User image David Malaschonok 2016-10-30 03:32:10 PDT Comment hidden (mozreview-request)
Comment 4 User image Jared Wein [:jaws] (please needinfo? me) 2016-10-31 11:27:13 PDT
Comment on attachment 8805833 [details]
Bug 1313876 - Fixed _undoCloseMiddleClick function call in event listener.

https://reviewboard.mozilla.org/r/89462/#review88958

Thanks for the quick fix.

It would be good to have a test cover this case since we missed it when we made the previuos refactoring. You could update the test at /browser/components/customizableui/test/browser_947914_button_history.js.

In the test, you can open and close a new tab with
  yield BrowserTestUtils.withNewTab("about:home", function*() {return true;});

Then when the menu is open, you can click on the menuitem using (something like) the following code,
  let recentlyClosedTab = document.querySelector("#PanelUI-recentlyClosedTabs > toolbarbutton:nth-child(2)");
  ok(recentlyClosedTab, "Got menuitem for recently closed tab");
  let reopenedAboutHomeTab = BrowserTestUtils.waitForNewTab(gBrowser, "about:home");
  EventUtils.synthesizeMouse(recentlyClosedTab, 2, 2, {button: 1});
  yield reopenedAboutHomeTab;
  ok(reopenedAboutHomeTab, "about:home tab reopened with middle click");
  yield BrowserTestUtils.removeTab(reopenedAboutHomeTab, {});

I'm getting an error with the call to synthesizeMouse there so this isn't perfect but hopefully it will get you on the right track.
Comment 5 User image Jared Wein [:jaws] (please needinfo? me) 2016-10-31 13:13:50 PDT
Comment on attachment 8805833 [details]
Bug 1313876 - Fixed _undoCloseMiddleClick function call in event listener.

https://reviewboard.mozilla.org/r/89462/#review89042

Upon further thought, let's land this now and we can land the test changes in a follow-up patch since I don't want this regression to linger.
Comment 6 User image Pulsebot 2016-10-31 13:15:23 PDT
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/2cd8ae6771b2
Fixed _undoCloseMiddleClick function call in event listener. r=jaws
Comment 7 User image Marcia Knous [:marcia - use ni] 2016-10-31 14:37:43 PDT
Tracking 52+ for this UI regression.
Comment 8 User image Phil Ringnalda (:philor) 2016-10-31 18:39:17 PDT
https://hg.mozilla.org/mozilla-central/rev/2cd8ae6771b2
Comment 9 User image Kazi Nuzhat Tasnem 2017-01-19 22:25:09 PST
I have reproduced this bug with Firefox nightly 52.0a1 (build id:20161029062601)on
windows 7(64 bit)

I have verified this bug as fixed with Firefox aurora 52.0a2(build id:20170119004006)
User agent:Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0

[testday-20170120]
Comment 10 User image Md.Majedul isalm 2017-01-19 22:35:20 PST
I have reproduced this bug with Nightly 52.0a1 (2016-10-29) (64-bit) (Build ID 20161029062601) on ubuntu 16.10 , 64 Bit !

This bug's fix is verified with latest Developer Edition (Aurora)

Build   ID  20170119004006
User Agent  Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0

[testday-20170120]

Note You need to log in before you can comment on or make changes to this bug.